com.smartgwt.client.types

## Enum ColorPickerMode

- java.lang.Object
- - java.lang.Enum<ColorPickerMode>
  - - com.smartgwt.client.types.ColorPickerMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ColorPickerMode>

      public enum ColorPickerMode
      extends java.lang.Enum<ColorPickerMode>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLEX` In addition to the 40 basic colors, the user can specify a color from anywhere in the spectrum, with an optional alpha component.
    `SIMPLE` Display a palette of 40 basic colors from which to pick.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ColorPickerMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColorPickerMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final ColorPickerMode SIMPLE

      Display a palette of 40 basic colors from which to pick.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "simple".

    - #### COMPLEX

          public static final ColorPickerMode COMPLEX

      In addition to the 40 basic colors, the user can specify a color from anywhere in the spectrum, with an optional alpha component.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "complex".

  - ### Method Detail

    - #### values

          public static ColorPickerMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColorPickerMode c : ColorPickerMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColorPickerMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`